{% extends '_base.html' %}
{% load static %}

{% block content %}
<h4>Moderator Comments View</h4>
    <div class="row mt-5">
        <div class="col-md-2"></div>
        <div class="col-md-8">
            <h5>Post your questions / comments here</h5>
            <div class="input-group flex-nowrap">
                <textarea class="form-control" placeholder="Questions / Comments " aria-label="Questions" aria-describedby="addon-wrapping" id="question"></textarea>
                <input type="hidden" name="comment" class="form-control" placeholder="Comments " aria-label="Comments" aria-describedby="addon-wrapping" >
            </div>
            <button class="btn btn-success btn-block mt-3" id="ask">Post</button>
        </div>
        <div class="col-md-2"></div>
        {% for comment in comments %}
        <div class="col-md-2"></div>
        <div class="col-md-8 mt-5" id="questions_area">
            <p><strong>{{comment.name}}</strong> says : <span class="lead mt-2">  {{comment.comment}}</span></p>
        </div>
        <div class="col-md-2"></div>
        {% endfor %}
    </div>
    
{% endblock %}

{% block javascript %}  
    <script>
        $("#ask").click(function(){
            var question = $("#question").val()
            if(question){
                $.ajax({
                type: "POST",
                url: "{%url 'stream_ask_question'%}",
                data: {
                    "csrfmiddlewaretoken": "{{csrf_token}}",
                    "question":question,
                    "stream_id":"{{stream.stream_id}}",
                    "name":"{{request.user|default_if_none:'Anonymous'}}",
                },
                success: function (response) {
                    alert("Question posted")
                    $("#question").val("")
                    $("#question").removeClass("is-invalid")
                }
            });
            } else {
                $("#question").attr("placeholder","No question asked")
                $("#question").addClass("is-invalid")
                setTimeout(function(){
                    $("#question").removeClass("is-invalid")
                    $("#question").attr("placeholder","Questions / Comments")
                }, 5000)
            }
        })

        var sqid = null
        {% if comments %}
            sqid = {{comments.last.id}};
        {% endif %}


        setInterval(function(){
            if (sqid){
                $.get("{% url 'get_stream_questions' stream_id=stream.stream_id%}"+sqid+"/", {},
                    function (data, textStatus, jqXHR) {
                        append_new_questions(data)
                    }
                );
            } else{
                $.get("{% url 'get_stream_questions' stream_id=stream.stream_id%}", {},
                    function (data, textStatus, jqXHR) {
                        append_new_questions(data)
                    },            
                );

            }
        },
        10000)

    function append_new_questions(data){
        if(data.sqs.length > 0){
            $.each(data.sqs, function(index,value){
                $("#questions_area").append('<p><strong>'+value[1]+'</strong> says : <span class="lead mt-2">'+value[2]+'</span></p>')
            })
            sqid = data.sqs[data.sqs.length - 1][0];
        }
    }
    </script>
    
{% endblock %}






